/*

  8 Digit 7-Segment Serial Display - Max7219

  Parts required:
  - Arduino Board
  - 8 Digit 7-Segment Serial Display - Max7219

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 21 Mar 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include "LedControl.h"                                 // include library LedControl.h

LedControl lc = LedControl(2, 4, 3, 1);                 // create object lc from LedControl.h and set ports for digital pins

unsigned long delaytime = 100;                          // set variable delaytime to 100ms
int digitNumber;                                        // set variable digitNumber
int segmentNumber = 0;                                  // set variable segmentNumber to 0
int countNumber = 0;                                    // set variable countNumber to 0

void setup() {
  lc.shutdown(0, false);                                // set lc to no shutdown
  lc.setIntensity(0, 8);                                // set segment display to high indensity
  lc.clearDisplay(0);                                   // clear all segments
}

void loop() {
  lc.setDigit(0, segmentNumber, countNumber, false);    // set setDigit to segmentNumber and countNumber

  delay(delaytime);                                     // wait for delaytime ms
  lc.clearDisplay(0);                                   // clear all segments

  countNumber++ ;                                       // countNumber increase with 1

  if (countNumber == 10) {                              // if countNumber = 10 do
    countNumber = 0;                                    // set countNumber to 0
    segmentNumber++;                                    // segmentNumber increase with 1
    if (segmentNumber == 8) {                           // if segmentNumber = 8 do
      segmentNumber = 0;                                // set segmentNumber to 0
    }
  }
}
