/*

  8 Digit 7-Segment Serial Display - Max7219

  Parts required:
  - Arduino Board
  - 8 Digit 7-Segment Serial Display - Max7219

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 21 Mar 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include "LedControl.h"                                         // include library LedControl.h

LedControl lc = LedControl(2, 4, 3, 1);                         // create object lc from LedControl.h and add port numbers

unsigned long delaytime = 250;                                  // set variable delaytime to 250ms
int digitNumber;                                                // set variable digitNumber

void setup() {
  lc.shutdown(0, false);                                        // set display to no shutdown
  lc.setIntensity(0, 8);                                        // set display to max intensity
  lc.clearDisplay(0);                                           // clear display all segments
}

void loop() {
  for (int digitNumber = 0; digitNumber <= 7; digitNumber++) {  // for digitNumber = 0 to 7 do
      lc.setDigit(0, digitNumber, 0, false);                    // set lc.setDigit to digitNumber
      delay(delaytime);                                         // wait for delaytime in ms
      lc.clearDisplay(0);                                       // clear display all segments
  }
}
